| PUT | /RestApi/lists-api/items |
|---|
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;
public class dtos
{
public static class SpecificListsGetRequest
{
public ArrayList<UUID> Ids = null;
public String Provider = null;
public ArrayList<UUID> getIds() { return Ids; }
public SpecificListsGetRequest setIds(ArrayList<UUID> value) { this.Ids = value; return this; }
public String getProvider() { return Provider; }
public SpecificListsGetRequest setProvider(String value) { this.Provider = value; return this; }
}
@DataContract
public static class CollectionContext<T>
{
@DataMember
public Integer TotalCount = null;
@DataMember
public Boolean IsGeneric = null;
@DataMember
public HashMap<String,String> Context = null;
@DataMember
public ArrayList<ItemsTargetLanguageStatusProxy> Items = null;
public Integer getTotalCount() { return TotalCount; }
public CollectionContext<T> setTotalCount(Integer value) { this.TotalCount = value; return this; }
public Boolean getIsGeneric() { return IsGeneric; }
public CollectionContext<T> setIsGeneric(Boolean value) { this.IsGeneric = value; return this; }
public HashMap<String,String> getContext() { return Context; }
public CollectionContext<T> setContext(HashMap<String,String> value) { this.Context = value; return this; }
public ArrayList<ItemsTargetLanguageStatusProxy> getItems() { return Items; }
public CollectionContext<T> setItems(ArrayList<ItemsTargetLanguageStatusProxy> value) { this.Items = value; return this; }
}
public static class ItemsTargetLanguageStatusProxy
{
public String Code = null;
public String Name = null;
public Boolean SomeItemsHaveIncompatiblePendingTranslations = null;
public Boolean AllItemsHaveIncompatiblePendingTranslations = null;
public String getCode() { return Code; }
public ItemsTargetLanguageStatusProxy setCode(String value) { this.Code = value; return this; }
public String getName() { return Name; }
public ItemsTargetLanguageStatusProxy setName(String value) { this.Name = value; return this; }
public Boolean isSomeItemsHaveIncompatiblePendingTranslations() { return SomeItemsHaveIncompatiblePendingTranslations; }
public ItemsTargetLanguageStatusProxy setSomeItemsHaveIncompatiblePendingTranslations(Boolean value) { this.SomeItemsHaveIncompatiblePendingTranslations = value; return this; }
public Boolean isAllItemsHaveIncompatiblePendingTranslations() { return AllItemsHaveIncompatiblePendingTranslations; }
public ItemsTargetLanguageStatusProxy setAllItemsHaveIncompatiblePendingTranslations(Boolean value) { this.AllItemsHaveIncompatiblePendingTranslations = value; return this; }
}
}
Java SpecificListsGetRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/lists-api/items HTTP/1.1
Host: www.imglobal.com
Accept: application/json
Content-Type: application/json
Content-Length: length
{"Ids":["00000000-0000-0000-0000-000000000000"],"Provider":"String"}
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
{"TotalCount":0,"IsGeneric":false,"Items":[]}